Skip to content

NPCs & Trading

NPCs are merchant or trader characters from whom you can buy, sell or trade items. Some are static, while others appear dynamically thanks to the event system.

TypeDescription
merchantBuys and sells items for gold.
traderTrades items for other items (currency is an item code instead of gold).

When viewing the items on an NPC, if the currency field shows anything other than gold, it will display the code of the item you need to trade to the NPC.

Here are some examples of NPCs:

Loading NPCs...

To view the list of all existing NPCs, use the following request:

Endpoint: GET /npcs/details

curl --location --request GET 'https://api.artifactsmmo.com/npcs/details' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json'
ParameterDescription
nameNPC name.
typeType of NPCs.
currencyCurrency code to filter NPCs that trade with this currency.
itemItem code to filter NPCs that trade this item.
pagePage number (default: 1).
sizePage size (default: 50).

To buy or sell an item, you must be on a map with an NPC. For more information, see Maps & Movement.

To buy an item from an NPC, use the following request:

Endpoint: POST /my/{name}/action/npc/buy

curl --request POST \
--url https://api.artifactsmmo.com/my/{name}/action/npc/buy \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"code": "string",
"quantity": 1
}'
FieldDescription
codeThe item code to buy.
quantityNumber of items to buy (1–100).

To sell an item to an NPC, use the following request:

Endpoint: POST /my/{name}/action/npc/sell

curl --request POST \
--url https://api.artifactsmmo.com/my/{name}/action/npc/sell \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"code": "string",
"quantity": 1
}'
FieldDescription
codeThe item code to sell.
quantityNumber of items to sell (1–100).